from food_service import getMenuSladovnicka, getMenuTechTower, getMenuUMotliku
from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware

app = FastAPI()
app.add_middleware(
    CORSMiddleware,
    allow_origins=["*"],
    allow_credentials=True,
    allow_methods=["*"],
    allow_headers=["*"],
)

@app.get("/")
def read_root(mock: bool = False):
    return {
        'sladovnicka': getMenuSladovnicka(mock),
        'uMotliku': getMenuUMotliku(mock),
        'techTower': getMenuTechTower(mock)
    }
